#ifndef LINE_H
#define LINE_H

#include "Vector.h"
#include <assert.h>

namespace cbk
{
	class Line
	{
	public:
		Line(const Vector& p1, const Vector& p2)
		{
			p[0] = p1;
			p[1] = p2;
		}

		const Vector& GetPoint(const size_t& id) const
		{
			assert(id < 2);
			return p[id];
		}

	private:

	protected:
		Vector p[2];
	};
}

#endif //LINE_H